- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Examples
- Try it!
Lists all the auth tokens for a specific token auth user.
HTTP request
GET https://redis.googleapis.com/v1alpha1/{parent=projects/*/locations/*/clusters/*/tokenAuthUsers/*}/authTokens
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource that this auth token will be listed for. Format: projects/{project}/locations/{location}/clusters/{cluster}/tokenAuthUsers/{tokenAuthUser} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of items to return. The maximum value is 1000; values above 1000 will be coerced to 1000. If not specified, a default value of 1000 will be used by the service. Regardless of the pageSize value, the response may include a partial list and a caller should only rely on response's |
pageToken |
Optional. The |
filter |
Optional. Expression for filtering results. |
orderBy |
Optional. Sort results by a defined order. |
Request body
The request body must be empty.
Response body
Response message for [authTokens.list][].
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"authTokens": [
{
object ( |
| Fields | |
|---|---|
authTokens[] |
A list of auth tokens in the project. |
nextPageToken |
Token to retrieve the next page of results, or empty if there are no more results in the list. |
unreachable[] |
Unordered list. Auth tokens that could not be reached. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/redis.read-write
For more information, see the Authentication Overview.